Subject: Re: bug#63445: guix-build-coordinator guile-gnutls segfault

From: Christopher Baines <[email-masked]>
Date: Sat, 02 Sep 2023 11:33:17 +0100

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> I've seen the build coordinator on bayfront crash a couple of times, and
>>> it seems to be segfaulting, maybe in gnutls?
>>>
>>> May 11 14:31:39 localhost vmunix: [15795370.287670]
>>> build-submitted[6013]: segfault at 0 ip 00007f1e2e796415 sp
>>> 00007f1b86ffd640 error 4 in
>>> guile-gnutls-v-2.so.0.0.0[7f1e2e790000+17000]
>>> May 11 14:31:39 localhost vmunix: [15795370.287692] Code: 01 00 41
>>> 0f b7 14 24 48 3b 10 0f 85 85 00 00 00 49 8b 6c 24 08 48 89 f3 48 89
>>> ef e8 d5 9d ff ff 4c 8b 68 08 41 f6 c5 06 75 0d <49> 8b 45 00 83 e0
>>> 7f 48 83 f8 7d 74 3a 31 f6 bf 10 00 00 00 e8 c2
>>
>> Did you manage to get a backtrace?
>
> Not yet, I've been trying to change the core file size limit with the
> prlimit command, but I haven't seen any core dump files yet, so I'm not
> sure if I've missed something.

I've finally managed to get core dumps working for this now, and I've
reported the problem upstream.